summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorsgerwk2018-04-18 18:18:18 +0200
committersgerwk2018-04-18 18:18:18 +0200
commite45c7a3902836f56d9cfbbb3158bc030e4b0ff41 (patch)
tree484cdf05730ea58e29a7e90adce0e0d2f4d4213d /PKGBUILD
downloadaur-e45c7a3902836f56d9cfbbb3158bc030e4b0ff41.tar.gz
first version
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a0f53ce8f99
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintaner: sgerwk <sgerwk at aol dot com>
+# package script file for archlinux
+# makepkg -p THISFILE
+pkgname=libllfat
+pkgver=0.1.4
+pkgrel=1
+pkgdesc="library for low-level access to a FAT12/16/32 filesystem"
+license=(GPL3)
+url="http://github.com/sgerwk/libllfat"
+depends=(glibc)
+makedepends=('gcc' 'make')
+arch=('x86_64' 'i686')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/sgerwk/libllfat/archive/v$pkgver.tar.gz")
+md5sums=('871e2aebd09818adb2cf9ff85ad082aa')
+
+build() {
+ cd "$pkgname-$pkgver"
+ make || return 1
+}
+
+check() {
+ cd "$pkgname-$pkgver"
+ return $(test -x build/fattool)
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+}
+